Terms API Reference

Terms

For authentication instructions, see API overview.

get

List all terms

Returns a list of terms. The terms are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms

Response

No response schema
post

Create terms

Create terms. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • termTypestring
  • termOrderstring
  • termNamestring
  • termDescstring
  • termTextstring
  • termFlagany
  • termDefaultValinteger
  • appliedfromstring
  • appliedTostring
  • statusstring
  • includestring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms \
-d 'termType="string"' \
-d 'termOrder="string"' \
-d 'termName="string"' \
-d 'termDesc="string"' \
-d 'termText="string"' \
-d 'termFlag=""' \
-d 'termDefaultVal="integer"' \
-d 'appliedfrom="string"' \
-d 'appliedTo="string"' \
-d 'status="string"' \
-d 'include="string"'

Response

No response schema
get

Retrieve terms

Returns a single term, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the terms

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms/:id

Response

No response schema
put

Update terms

Path parameters

  • idstring

    ID of the terms

Request body

  • termTypestring
  • termOrderstring
  • termNamestring
  • termDescstring
  • termTextstring
  • termFlagany
  • termDefaultValinteger
  • appliedfromstring
  • appliedTostring
  • statusstring
  • includestring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms/:id \
-d 'termType="string"' \
-d 'termOrder="string"' \
-d 'termName="string"' \
-d 'termDesc="string"' \
-d 'termText="string"' \
-d 'termFlag=""' \
-d 'termDefaultVal="integer"' \
-d 'appliedfrom="string"' \
-d 'appliedTo="string"' \
-d 'status="string"' \
-d 'include="string"'

Response

No response schema
patch

Update terms soft

Update terms soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the terms

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms/:id

Response

No response schema
delete

Delete terms

Path parameters

  • idstring

    ID of the terms

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms/:id

Response

No response schema
delete

Delete deleted

Path parameters

  • idstring

    ID of the terms

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/terms/deleted/:id

Response

No response schema